<?xml version="1.0" encoding="UTF-8"?>
<zabbix_export>
    <version>5.0</version>
    <date>2023-03-30T09:35:19Z</date>
    <groups>
        <group>
            <name>Resif</name>
        </group>
    </groups>
    <templates>
        <template>
            <template>Overlaps TQR</template>
            <name>Overlaps TQR</name>
            <description>Analyse et alerte lors d'overlaps sur le temps réel&#13;
&#13;
https://wiki.osug.fr/!isterre-geodata/resif/systemes/monitoring/overlap_flux_temps_reel</description>
            <groups>
                <group>
                    <name>Resif</name>
                </group>
            </groups>
            <applications>
                <application>
                    <name>overlaps</name>
                </application>
            </applications>
            <items>
                <item>
                    <name>ovelap global</name>
                    <key>overlaps.all</key>
                    <delay>12h</delay>
                    <history>365d</history>
                    <trends>730d</trends>
                    <units>s</units>
                    <description>Total des overlaps.</description>
                    <applications>
                        <application>
                            <name>overlaps</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>MULTIPLIER</type>
                            <params>-1</params>
                        </step>
                    </preprocessing>
                </item>
                <item>
                    <name>date de l'analyse</name>
                    <key>vfs.file.time[{$OUTFILE}]</key>
                    <description>Époque unix de la dernière analyse sur les overlaps.</description>
                    <applications>
                        <application>
                            <name>overlaps</name>
                        </application>
                    </applications>
                    <triggers>
                        <trigger>
                            <expression>{last()}&lt;{now()}-3600*24</expression>
                            <name>Dernière analyse des overlaps trop ancienne</name>
                            <priority>WARNING</priority>
                            <description>Le fichier {$OUTFILE} n'a pas été modifié depuis plus de 24 heures.&#13;
&#13;
https://wiki.osug.fr/!isterre-geodata/resif/systemes/monitoring/overlap_flux_temps_reel#derniere_analyse_des_overlaps_trop_ancienne</description>
                        </trigger>
                    </triggers>
                </item>
            </items>
            <discovery_rules>
                <discovery_rule>
                    <name>Sources with overlap discovery</name>
                    <key>overlaps.discovery</key>
                    <delay>12h;h2,14m10</delay>
                    <lifetime>1h</lifetime>
                    <description>Run at scheduled interval in order to be synchronised with the overlap analyses scheduled runs  (0h and 12h UTC).&#13;
Note that Zabbix is not UTC, so we shift to 2h (Summer time)&#13;
&#13;
We forget about disapeared items almost immediately.</description>
                    <item_prototypes>
                        <item_prototype>
                            <name>Overlap {#SOURCEID}</name>
                            <key>overlaps.get[{#SOURCEID}]</key>
                            <delay>1h;h2,14m15</delay>
                            <units>s</units>
                            <description>Nombre de secondes d'overlaps sur cette source.</description>
                            <applications>
                                <application>
                                    <name>overlaps</name>
                                </application>
                            </applications>
                            <preprocessing>
                                <step>
                                    <type>MULTIPLIER</type>
                                    <params>-1</params>
                                </step>
                            </preprocessing>
                            <trigger_prototypes>
                                <trigger_prototype>
                                    <expression>{last()}&gt;1000</expression>
                                    <name>Trop d'overlaps sur {#SOURCEID} en provenance du nœud {#ANODE}</name>
                                    <priority>WARNING</priority>
                                    <description>Il y a plus de 1000 secondes d'overlap sur  {#SOURCEID]&#13;
&#13;
Il faut contacter le nœud A {#ANODE}&#13;
&#13;
https://wiki.osug.fr/!isterre-geodata/resif/systemes/monitoring/overlap_flux_temps_reel#overlap_important_sur_source_en_provenance_du_n%C5%93ud_anode</description>
                                    <tags>
                                        <tag>
                                            <tag>sismo</tag>
                                        </tag>
                                    </tags>
                                </trigger_prototype>
                            </trigger_prototypes>
                        </item_prototype>
                    </item_prototypes>
                </discovery_rule>
            </discovery_rules>
            <macros>
                <macro>
                    <macro>{$OUTFILE}</macro>
                    <value>/var/log/zabbix/overlaps.out</value>
                    <description>Fichier texte issu de l'analyse des overlaps</description>
                </macro>
            </macros>
        </template>
    </templates>
</zabbix_export>
